#include <iostream>
using namespace std;

class samp{
	int i,j;
public:
	samp(){cout << "コンストラクタ\n";}
	~samp(){cout << "デストラクタ\n";}
	void set_ij(int a, int b){i = a;j = b;}
	int get_product(){return i*j;}
};

int main()
{
	samp *p = new samp[10];
	cout << "hello\n";
	delete [] p;
	return 0;
}